GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdbscm_disassembler Class Reference
Inheritance diagram for gdbscm_disassembler:

## Public Member Functions
| gdbscm_disassembler (struct gdbarch *gdbarch, struct ui_file *stream, SCM port, ULONGEST offset)
Public Member Functions inherited from gdb_disassembler
| gdb_disassembler (struct gdbarch *gdbarch, struct ui_file *file)
int | print_insn (CORE_ADDR memaddr, int *branch_delay_insns=NULL)
struct gdbarch * | arch ()

## Public Attributes
SCM | port
ULONGEST | offset

## Additional Inherited Members
Protected Member Functions inherited from gdb_disassembler
| gdb_disassembler (struct gdbarch *gdbarch, struct ui_file *file, di_read_memory_ftype func)
struct ui_file * | stream ()

## Detailed Description

Definition at line 40 of file scm-disasm.c.

## Constructor & Destructor Documentation

## ◆ gdbscm_disassembler()

gdbscm_disassembler::gdbscm_disassembler | ( | struct gdbarch * | gdbarch,
|  | struct ui_file * | stream,
|  | SCM | port,
|  | ULONGEST | offset
| ) |  |

Definition at line 128 of file scm-disasm.c.

## Member Data Documentation

## ◆ offset

ULONGEST gdbscm_disassembler::offset

Definition at line 49 of file scm-disasm.c.

Referenced by gdbscm_disasm_read_memory_worker().

## ◆ port

SCM gdbscm_disassembler::port

Definition at line 47 of file scm-disasm.c.

Referenced by gdbscm_disasm_read_memory_worker().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-disasm.c